## icebreaker 1.21

=== Makefile ===
CC=gcc

SDLCONFIG=sdl-config

ifndef prefix
  prefix=/usr/local
  #prefix=/usr
endif

ifndef datadir
  datadir=$(prefix)/share
endif

ifndef mandir
  mandir=$(prefix)/share/man
endif

ifndef highscoredir
  highscoredir=/var/local/lib/games
  #highscoredir=/var/lib/games
endif

ifndef OPTIMIZE
  OPTIMIZE=-O3
endif

CFLAGS=-Wall $(OPTIMIZE) $(SDL_CFLAGS) -DDATAPREFIX=\"$(datadir)/icebreaker\" -DHISCOREPREFIX=\"$(highscoredir)\"

SRC=icebreaker.c cursor.c grid.c laundry.c line.c penguin.c sound.c \
    level.c intro.c text.c status.c transition.c hiscore.c dialog.c \
    options.c fullscreen.c

SDL_MIXER=-lSDL_mixer
SDL_LIB=$(SDL_LDFLAGS) $(SDL_MIXER) 
SDL_CFLAGS := $(shell $(SDLCONFIG) --cflags)
SDL_LDFLAGS := $(shell $(SDLCONFIG) --libs)
VERSION := $(shell awk '/^\#define VERSION/ { print $$3 }' icebreaker.h)
VERDATE := $(shell date -r icebreaker.h +"%d %B %Y")

ifneq ($(VERSION),$(shell awk '/^Version:/ { print $$2 }' icebreaker.spec))
  $(error "Version in spec file doesn't match version in icebreaker.h!")
endif



all:	icebreaker man

clean:
	rm -f icebreaker
	rm -f icebreaker.6
	rm -f *.o
	rm -f *.d
	rm -f *.tgz
	rm -f *.zip
	rm -f *.exe


dist: clean ChangeLog
	[ -d icebreaker-$(VERSION) ] && rm -rf icebreaker-$(VERSION) || true
	mkdir icebreaker-$(VERSION)
	cp -p * icebreaker-$(VERSION) || true
	tar czf icebreaker-$(VERSION).tgz icebreaker-$(VERSION)
	[ -d icebreaker-$(VERSION) ] && rm -rf icebreaker-$(VERSION) || true
	tar tzf icebreaker-$(VERSION).tgz

win32: icebreaker-$(VERSION).zip

icebreaker.exe: icebreaker
	[ -d win32.build ] && rm -rf win32.build || true
	mkdir win32.build
	cp -p * win32.build || true
	(cd win32.build; make clean; make -f Makefile.w32; mv icebreaker.exe ..)
	[ -d win32.build ] && rm -rf win32.build || true

icebreaker-$(VERSION).zip: icebreaker.exe
	[ -d icebreaker-$(VERSION) ] && rm -rf icebreaker-$(VERSION) || true
	mkdir icebreaker-$(VERSION)
	cp icebreaker.exe icebreaker-$(VERSION)
	cp /usr/local/cross-tools/i386-mingw32msvc/lib/SDL.dll icebreaker-$(VERSION)
	cp /usr/local/cross-tools/i386-mingw32msvc/lib/SDL_mixer.dll icebreaker-$(VERSION)
	cp *.wav icebreaker-$(VERSION)
	cp *.bmp icebreaker-$(VERSION)
	unix2dos -n ChangeLog icebreaker-$(VERSION)/ChangeLog.txt
	unix2dos -n LICENSE icebreaker-$(VERSION)/LICENSE.txt
	unix2dos -n README icebreaker-$(VERSION)/README.txt
	unix2dos -n TODO icebreaker-$(VERSION)/TODO.txt
	zip -r icebreaker-$(VERSION).zip icebreaker-$(VERSION)
	[ -d icebreaker-$(VERSION) ] && rm -rf icebreaker-$(VERSION) || true
	unzip -t icebreaker-$(VERSION).zip

%.d: %.c
	set -e; $(CC) -M $(CFLAGS) $< \
           | sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
           [ -s $@ ] || rm -f $@

icebreaker:	$(SRC:.c=.o)
	$(CC) $(CFLAGS) $^ -o icebreaker $(SDL_LIB)

man: icebreaker.6

%.6: %.man.in
	sed 's/\$$VERSION/$(VERSION)/' $< | \
	   sed 's/\$$VERDATE/$(VERDATE)/' > $@

install: all
	mkdir -p $(prefix)/bin
	mkdir -p $(prefix)/share/icebreaker
	mkdir -p $(highscoredir)
	mkdir -p $(mandir)/man6

	install -m 644 *.wav *.bmp $(prefix)/share/icebreaker
	install -g games -s -m 2755 icebreaker $(prefix)/bin
	install -m 644 icebreaker.6 $(mandir)/man6
	touch $(highscoredir)/icebreaker.scores
	chown games:games $(highscoredir)/icebreaker.scores
	chmod 664 $(highscoredir)/icebreaker.scores


include $(SRC:.c=.d)

## icebreaker 0.2.6

=== debian/control ===
Source: icebreaker
Section: user/games
Priority: optional
Maintainer: Talita Menezes
Build-Depends: libsdl1.2-dev, libsdl-mixer1.2-dev, hildon-games-wrapper-dev, osso-games-startup-dev
Standards-Version: 3.6.0
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAwFBMVEUAAgAL
  BAIGCQYREhAeFwsfIB4rLS1KNg5fMwBYORs/QD5HPzRbPxRuRR5OT0oUapAA
  d5sSdptiY18JhKKuTwiNXyskgqEIk7BvcW6sYhwHor6NdE8kobiAgX8lsMaM
  jIuXjYElv9PagDmXmZb8fyWrmn0zzNrsmhQw2OX/lTIm4+77nDMp5O+tr6vs
  o1DMsHD+qBzsrUC6ubE67fjJysbpz5nW2dfJ8/To6ufS8/bW9fLi9/b29ezv
  +/z6/Pn+/fSQxKnrAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1ggX
  ExMGY+GI+wAAARlJREFUKM+dj31PgzAQh+/ELdJl6Lo5mc4xhlkgyDTCEFg4
  vv+38tpCE1/4xyfQ9vrkdxxwOwrcGRbmWai1r2HJrJd/sIaHUWA7xiPsmO1O
  M0XE6c4CoUUEMykjz9YQHnvC+eF0Pr95puAXYs2RX6Nm+qyA1zzOY16EuFmt
  Npv7a4dLDeQGiQhokL65Aro0LRE5gDAJgkAgOg5pgOpPVj4CYEZlEak/8I1q
  m8YovGJVsgKrdMrjC1FRVWWSPymHVM2bx/2eVV0E3NAbUrUag1NRx3uZAQ5j
  XGqVogli1nVKoRA/FAwKrGqNkmquqiyLDKW0qVYfXHf+UTB7l3pAz070kiTv
  6dM+OKSnNBmUaaio6BtQ9w1/8z/1BdFzZwx/iaH6AAAAAElFTkSuQmCC

Package: icebreaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsdl-mixer1.2, hildon-games-wrapper0, osso-games-startup, maemo-select-menu-location
Description: IceBreaker game

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DEB_CONFIGURE_EXTRA_FLAGS := \
	--host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info

config.status:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

build: build-stamp

build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/icebreaker.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
	dh_install -v --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## icebreaker 0.2.6-1

=== debian/changelog ===
icebreaker (0.2.6-1) unstable; urgency=low

  * Updated to Diablo.

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Sat, 25 Oct 2008 20:49:00 +0300

icebreaker (0.2.6) unstable; urgency=low

  * Updated to Maemo 4.0.

 -- Marcelo Lira <setanta@gmail.com>  Fri, 26 Oct 2007 11:05:00 -0300

icebreaker (0.2.5) unstable; urgency=low

  * Now _really_ updated to Maemo 2.0.

 -- Eduardo Lima <eduardo.lima@indt.org.br>  Wed, 23 Aug 2006 18:56:02 -0300

icebreaker (0.2.4) unstable; urgency=low

  * Updated for Maemo 2.0.

 -- Talita Menezes <talita.menezes@indt.org.br>  Tue,  13 Jun 2006 15:27:00 -0300

icebreaker (0.2.3) unstable; urgency=low

  * Added application installer support.

 -- Talita Menezes <talita.menezes@indt.org.br>  Wed,  10 Aug 2005 19:12:00 -0300

icebreaker (0.2.2) unstable; urgency=low

  * Added option to send quit command to shadowapp on game quit.

 -- Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>  Fri,  20 May 2005 14:17:42 +0200

icebreaker (0.2.1) unstable; urgency=low

  * Changed package name
  * Modified to be in compliant with new games-startup.

 -- Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>  Thu,  10 May 2005 15:23:17 +0200

icebreaker (0.2) unstable; urgency=low

  * Added games-startup support
  * Added autotools stuff support

 -- Talita Menezes <talita.menezes@indt.org>  Wed,  27 Apr 2005 18:55:12 +0200
 -- Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>  Wed,  27 Apr 2005 18:55:12 +0200
  

icebreaker (0.1) unstable; urgency=low

  * Initial release
  * Debianized package

 -- Talita Menezes <talita.menezes@indt.org>  Wed,  20 Apr 2005 20:25:24 +0200
 -- Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>  Wed,  20 Apr 2005 20:25:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: icebreaker
 Section: user/games
 Priority: optional
-Maintainer: Talita Menezes
-Build-Depends: libsdl1.2-dev, libsdl-mixer1.2-dev, hildon-games-wrapper-dev, osso-games-startup-dev
+Maintainer: Marcelo Lira
+Build-Depends: libhildon1-dev, libhildonfm2-dev, libhildonhelp-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, hildon-games-wrapper-dev, osso-games-startup-dev
 Standards-Version: 3.6.0
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAwFBMVEUAAgAL

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,10 @@
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
+endif
+# Use hardware floating point
+ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+CFLAGS += -mfpu=vfp -mfloat-abi=softfp
 endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s

## icebreaker 1.21

=== debian/changelog ===
icebreaker (1.21-12) unstable; urgency=medium

  * Reintroduction of icebreaker to Debian.
  * Change maintainer to Debian Games Team
  * Merge Ubuntu changes:
    [Alexander Faithfull]
    - Fixed a buffer overflow in options.c that caused a crash on startup.
  * Move to debhelper compat 10, policy 4.1.0, source-format 3.0
  * Remove Debian menu file
  * Compile with hardening CFLAGS
  * Make the build reproducible. Thanks to Reiner Herrmann.

 -- Andreas Gnau <Rondom@Rondom.de>  Sun, 10 Sep 2017 19:31:59 +0200

icebreaker (1.21-11) unstable; urgency=low

  [Barry deFreese]

  * Merge Ubuntu changes.  Closes: #376907
    - Add xpm icon file from Aaron Whitehouse.
    - Fix up desktop file and install in proper location.

  [LaMont Jones]

  * document git repository location
  * Makefile: do not strip binary in Makefile.  Closes: #437185

 -- LaMont Jones <lamont@debian.org>  Thu, 08 Nov 2007 21:04:59 -0700

icebreaker (1.21-10ubuntu1) edgy; urgency=low

  * Re-sync with Debian
  * Fix up desktop file and install in proper location.
  * Add xpm icon file from Aaron Whitehouse.

 -- Barry deFreese <bddebian@comcast.net>  Wed,  5 Jul 2006 12:49:02 -0400

icebreaker (1.21-10) unstable; urgency=low

  * Acknowledge NMU.  Closes: #297644
  * Add link to project page to description.  Closes: #348279

 -- LaMont Jones <lamont@debian.org>  Wed, 26 Apr 2006 17:49:15 -0600

icebreaker (1.21-9.1) unstable; urgency=low

  * NMU
  * Patch from Ulf Härnhammar to fix format string vulnerability.
    Closes: #297644

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Oct 2005 17:46:50 -0400

icebreaker (1.21-9) unstable; urgency=low

  * Add menu icon.  Closes: #275641

 -- LaMont Jones <lamont@debian.org>  Sat,  9 Oct 2004 13:38:09 -0600

icebreaker (1.21-8) unstable; urgency=low

  * Fix options writing code.  Closes: #174679

 -- LaMont Jones <lamont@debian.org>  Mon, 19 May 2003 20:15:14 -0600

icebreaker (1.21-7) unstable; urgency=low

  * remove unnecessary diffs from upstream.

 -- LaMont Jones <lamont@debian.org>  Thu, 23 May 2002 10:37:21 -0600

icebreaker (1.21-6) unstable; urgency=low

  * Fix typos in postinst.  Closes: #133104.

 -- LaMont Jones <lamont@debian.org>  Sat,  9 Feb 2002 13:30:16 -0700

icebreaker (1.21-5) unstable; urgency=low

  * New maintainer.  Closes: #130825

 -- LaMont Jones <lamont@debian.org>  Mon, 28 Jan 2002 16:30:34 -0700

icebreaker (1.21-4) unstable; urgency=low

  * Orphaned this package.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 25 Jan 2002 12:52:44 +0100

icebreaker (1.21-3) unstable; urgency=high

  * Move the highscore file from /var/lib/games to /var/games.
    (closes: #115854)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 17 Nov 2001 18:32:12 +0100

icebreaker (1.21-2) unstable; urgency=high

  * Versioned the build dependency on libsdl-mixer1.2-dev to
    ensure that the package gets built with the new SDL packages.

 -- Adrian Bunk <bunk@fs.tum.de>  Mon, 15 Oct 2001 20:34:16 +0200

icebreaker (1.21-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 12 Aug 2001 19:14:56 +0200

icebreaker (1.10-1) unstable; urgency=low

  * New upstream release.
    - This release includes a man page. (closes: #87143)

 -- Adrian Bunk <bunk@fs.tum.de>  Mon, 23 Jul 2001 13:13:01 +0200

icebreaker (1.09-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Wed, 18 Jul 2001 23:18:31 +0200

icebreaker (1.0-3) unstable; urgency=low

  * Rebuild with libsdl1.2 .

 -- Adrian Bunk <bunk@fs.tum.de>  Tue,  1 May 2001 11:06:04 +0200

icebreaker (1.0-2) unstable; urgency=medium

  * Rebuild to get icebreaker linked with the right libsdl-mixer
    library. (closes: #79835)
  * Removed some obsolete build dependencies.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 17 Dec 2000 20:16:14 +0100

icebreaker (1.0-1) unstable; urgency=low

  * Initial Release. (closes: #74356)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 18 Nov 2000 02:45:10 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: icebreaker
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Andreas Gnau <Rondom@Rondom.de>
Build-Depends: debhelper (>= 10), libsdl-mixer1.2-dev (>= 1.2.0-1.1)
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/pkg-games/icebreaker.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/icebreaker.git
Homepage: https://mattdm.org/icebreaker/

Package: icebreaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Break the iceberg
 So, uh, there's a bunch of penguins on an iceberg in Antarctica. You have
 been selected to catch them so they can be shipped to Finland, where they
 are essential to a secret plot for world domination.
 .
 In order to trap the penguins, you'll need to break the iceberg into small
 chunks. (They're afraid of water, for no apparent reason. Ah well. "The
 Matrix" had more plot holes than this, and it still was a hit.) You do
 this by melting lines in the ice with Special High-Tech GNU Tools.
 .
 Once 80% or more of the iceberg is gone, the remaining chunks are small
 enough for shipping. Of course, if you manage to get rid of more than
 that, you'll save on postage, thus earning you exponential amounts of Geek
 Cred (a.k.a. "score").

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- prefix=/usr highscoredir=/var/games

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/icebreaker/usr highscoredir=$(CURDIR)/debian/icebreaker/var/games
	rm $(CURDIR)/debian/icebreaker/var/games/icebreaker.scores

override_dh_fixperms:
	chown root:games $(CURDIR)/debian/icebreaker/usr/games/icebreaker
	chmod g+s $(CURDIR)/debian/icebreaker/usr/games/icebreaker
	dh_fixperms -Xdebian/icebreaker/usr/games/icebreaker

## icebreaker 2.2.0

=== Makefile ===
CC=gcc

SDLCONFIG=sdl-config

ifndef prefix
  prefix=/usr/local
  #prefix=/usr
endif

ifndef datadir
  datadir=$(prefix)/share
endif

ifndef mandir
  mandir=$(prefix)/share/man
endif

ifndef bindir
  bindir=$(prefix)/bin
endif


CFLAGS=-Wall -Werror $(OPTIMIZE) $(SDL_CFLAGS) -DDATAPREFIX=\"$(datadir)/icebreaker\"

SRC=icebreaker.c cursor.c grid.c laundry.c line.c penguin.c sound.c \
    level.c intro.c text.c status.c transition.c hiscore.c dialog.c \
    menu.c options.c fullscreen.c themes.c event.c titlebar.c benchmark.c \
    misc.c lock.c delay.c

DISTFILES=$(wildcard *.c *.h *.bmp *.png *.ibt *.wav *.sh *.rc *.ico *.desktop *.man.in *.nsi.in *.spec README* TODO LICENSE INSTALL ChangeLog Makefile*)

SDL_MIXER=-lSDL_mixer
SDL_LIB=$(SDL_MIXER) $(SDL_LDFLAGS)
SDL_CFLAGS := $(shell $(SDLCONFIG) --cflags)
SDL_LDFLAGS := $(shell $(SDLCONFIG) --libs)
VERSION := $(shell awk '/^#define VERSION/ { print $$3 }' icebreaker.h)
VERDATE := $(shell date -r icebreaker.h +"%d %B %Y")

WINARCH=i686
CROSSTOOLSPATH=/usr/$(WINARCH)-w64-mingw32
UNIX2DOS=unix2dos
MAKENSIS=makensis
WINDLLS=SDL.dll SDL_mixer.dll libgcc_s_dw2-1.dll libvorbisfile-3.dll libvorbis-0.dll libogg-0.dll libssp-0.dll libwinpthread-1.dll
export WINARCH

RPMARCH := $(shell  rpm --eval %{_arch} )
RPMOPTS=
RPMCRAZYDEFINES := --define "_topdir %(pwd)/rpmbuild" --define "_sourcedir %(pwd)" --define "_specdir %(pwd)"  --define "_tmppath %(pwd)/rpmbuild/tmp/"  --define "_builddir %(pwd)/rpmbuild/build/" --define "_rpmdir %(pwd)" --define "_srcrpmdir %(pwd)" --define "_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm"

ifneq ($(VERSION),$(shell awk '/^Version:/ { print $$2 }' icebreaker.spec))
  $(error Version in spec file doesn't match version in icebreaker.h! )
endif

RPMRELEASE := $(shell awk '/^Release:/ { print $$2 }' icebreaker.spec)
PRERELEASE := $(shell awk '/^Release:/ { print $$2 }' icebreaker.spec | grep pre)

ifneq ($(strip $(PRERELEASE)),)
  ifeq ($(shell awk '/^%define.*isprerelease/ { print $$3 }' icebreaker.spec),0)
    $(error .spec file has -pre release tag, but sets "isprerelease" to 0.  Fix that)
  endif
  ifndef OPTIMIZE
    OPTIMIZE=-g
  endif
  VERSIONSTRING := $(VERSION)-$(PRERELEASE)
  $(warning Building prerelease version.)
else
  ifeq ($(shell awk '/^%define.*isprerelease/ { print $$3 }' icebreaker.spec),1)
    $(error .spec file has final release tag, but sets "isprerelease" to 1.  Fix that)
  endif
  ifndef OPTIMIZE
    OPTIMIZE=-O2
  endif
  VERSIONSTRING := $(VERSION)
endif


all:	icebreaker man

.PHONY: clean
clean:
	[ -d icebreaker-$(VERSIONSTRING) ] && rm -rf icebreaker-$(VERSIONSTRING) || true
	[ -d rpmbuild ] && rm -rf rpmbuild || true
	[ -d win32.build ] && rm -rf win32.build || true
	-rm -f icebreaker
	-rm -f icebreaker.6
	-rm -f icebreaker.nsi
	-rm -f *.o
	-rm -f *.d
	-rm -f *.tar.xz
	-rm -f *.zip
	-rm -f *.exe
	-rm -f *.rpm

dist: tgz win32 rpm
	ls -lh --color=yes icebreaker-$(VERSION)*

tgz: icebreaker-$(VERSIONSTRING).tar.xz

icebreaker-$(VERSIONSTRING).tar.xz: $(DISTFILES)
	[ -d icebreaker-$(VERSIONSTRING) ] && rm -rf icebreaker-$(VERSIONSTRING) || true
	mkdir icebreaker-$(VERSIONSTRING)
	cp -p * icebreaker-$(VERSIONSTRING) || true
	(cd icebreaker-$(VERSIONSTRING); make clean)
	tar cJf icebreaker-$(VERSIONSTRING).tar.xz icebreaker-$(VERSIONSTRING)
	[ -d icebreaker-$(VERSIONSTRING) ] && rm -rf icebreaker-$(VERSIONSTRING) || true
	tar tf icebreaker-$(VERSIONSTRING).tar.xz

rpm: srcrpm binrpm

srcrpm: icebreaker-$(VERSION)-$(RPMRELEASE).src.rpm 
binrpm: $(RPMARCH)rpm
$(RPMARCH)rpm: icebreaker-$(VERSION)-$(RPMRELEASE).$(RPMARCH).rpm

icebreaker-$(VERSION)-$(RPMRELEASE).src.rpm: icebreaker-$(VERSIONSTRING).tar.xz icebreaker.spec
	[ -d rpmbuild ] && rm -rf rpmbuild || true
	mkdir -p rpmbuild/tmp
	rpmbuild $(RPMCRAZYDEFINES) -bs icebreaker.spec
	[ -d rpmbuild ] && rm -rf rpmbuild || true

icebreaker-$(VERSION)-$(RPMRELEASE).$(RPMARCH).rpm: icebreaker-$(VERSIONSTRING).tar.xz icebreaker.spec
	[ -d rpmbuild ] && rm -rf rpmbuild || true
	mkdir -p rpmbuild/tmp; mkdir -p rpmbuild/build
	rpmbuild $(RPMCRAZYDEFINES) -bb icebreaker.spec
	[ -d rpmbuild ] && rm -rf rpmbuild || true

win32: icebreaker-$(VERSIONSTRING).exe

icebreaker-$(VERSIONSTRING).exe: icebreaker.nsi icebreaker-$(VERSIONSTRING).zip
	[ -d icebreaker-$(VERSIONSTRING) ] && rm -rf icebreaker-$(VERSIONSTRING) || true
	unzip -b icebreaker-$(VERSIONSTRING).zip
	touch icebreaker-$(VERSIONSTRING)/lockhelper.lck
	(cd icebreaker-$(VERSIONSTRING); \
	   $(MAKENSIS) -NOCD -INPUTCHARSET UTF8 ../icebreaker.nsi; \
	   test -f icebreaker-$(VERSIONSTRING).exe)
	mv -f icebreaker-$(VERSIONSTRING)/icebreaker-$(VERSIONSTRING).exe icebreaker-$(VERSIONSTRING).exe
	[ -d icebreaker-$(VERSIONSTRING) ] && rm -rf icebreaker-$(VERSIONSTRING) || true	
	ls -l icebreaker-$(VERSIONSTRING).exe

zip: icebreaker-$(VERSIONSTRING).zip

icebreaker-$(VERSIONSTRING).zip: icebreaker.exe icebreaker-$(VERSIONSTRING).tar.xz
	[ -d icebreaker-$(VERSIONSTRING) ] && rm -rf icebreaker-$(VERSIONSTRING) || true
	mkdir icebreaker-$(VERSIONSTRING)
	cp icebreaker.exe icebreaker-$(VERSIONSTRING)
	cp icebreaker-$(VERSIONSTRING).tar.xz icebreaker-$(VERSIONSTRING)/icebreaker-$(VERSIONSTRING)-src.tar.xz
	for dll in $(WINDLLS); do cp $(CROSSTOOLSPATH)/sys-root/mingw/bin/$$dll icebreaker-$(VERSIONSTRING); done
	cp *.wav icebreaker-$(VERSIONSTRING)
	cp *.bmp icebreaker-$(VERSIONSTRING)
	cp *.png icebreaker-$(VERSIONSTRING)
	for i in *.ibt; do $(UNIX2DOS) -n $$i icebreaker-$(VERSIONSTRING)/$$i; done
	$(UNIX2DOS) -n ChangeLog icebreaker-$(VERSIONSTRING)/ChangeLog.txt
	$(UNIX2DOS) -n LICENSE icebreaker-$(VERSIONSTRING)/LICENSE.txt
	$(UNIX2DOS) -n README icebreaker-$(VERSIONSTRING)/README.txt
	$(UNIX2DOS) -n README.SDL icebreaker-$(VERSIONSTRING)/README-SDL.txt
	$(UNIX2DOS) -n README.themes icebreaker-$(VERSIONSTRING)/README-themes.txt
	$(UNIX2DOS) -n TODO icebreaker-$(VERSIONSTRING)/TODO.txt
	zip -r icebreaker-$(VERSIONSTRING).zip icebreaker-$(VERSIONSTRING)
	[ -d icebreaker-$(VERSIONSTRING) ] && rm -rf icebreaker-$(VERSIONSTRING) || true
	unzip -t icebreaker-$(VERSIONSTRING).zip

beos:
	make -f Makefile.beos

osx:
	make -f Makefile.osx

icebreaker.exe: $(DISTFILES)
	[ -f $(CROSSTOOLSPATH)/sys-root/mingw/bin/SDL.dll ]
	[ -d win32.build ] && rm -rf win32.build || true
	mkdir win32.build
	cp -p * win32.build || true
	(cd win32.build; make clean; make -f Makefile.w32; mv icebreaker.exe ..)
	[ -d win32.build ] && rm -rf win32.build || true

icebreaker:	$(SRC:.c=.o)
	$(CC) $(CFLAGS) $^ -o icebreaker $(SDL_LIB)

man: icebreaker.6

%.nsi: %.nsi.in icebreaker.spec icebreaker.h
	sed 's/\%ICEBREAKERVERSION/$(VERSIONSTRING)/' $< > $@

%.6: %.man.in
	sed 's/\$$VERSION/$(VERSION)/' $< | \
	   sed 's/\$$VERDATE/$(VERDATE)/' > $@

install-mkdirs:
	install -m 755 -d $(datadir)/icebreaker
	install -m 755 -d $(bindir)
	install -m 755 -d $(mandir)/man6

themes-install: install-themes

install-themes:
	install -m 644 *.ibt $(datadir)/icebreaker
	install -m 644 *.wav *.bmp *.png $(datadir)/icebreaker

install-bin: icebreaker
	install -m 755 icebreaker $(bindir)

install-man: icebreaker.6
	install -m 644 icebreaker.6 $(mandir)/man6

install: all install-mkdirs install-themes install-bin install-man

%.d: %.c
	set -e; $(CC) -M $(CFLAGS) $< \
           | sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
           [ -s $@ ] || rm -f $@

include $(SRC:.c=.d)

=== debian/changelog ===
icebreaker (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Highscores are now kept in the user's home directory instead of /var.
    - drop postinst script, as global highscore is no longer needed
    - drop highscore-related commands from d/rules
  * Add watch file.
  * Add upstream metadata.
  * d/rules:
    - set bindata and datadir
    - drop dh_fixperms override, as binary does not need to be setgid
    - drop --as-needed linker flag, which is enabled by default
    - drop -Wall from d/rules, as it is already enabled
  * Update Standards-Version to 4.6.0
    - declare that d/rules does not require root
  * d/control:
    - update to debhelper compat level 13
    - point Vcs-* fields to salsa
  * d/patches:
    - fix building in parallel
    - pass all buildflags
    - build without -Werror
    - build with pkg-config instead of sdl-config
    - add keywords to .desktop file
    - make build reproducible
  * Drop unnecessary d/dirs.
  * Install README.themes.
  * Install 128x128 icon and fix location to it in .desktop file.
  * Install metainfo.xml file.
  * Drop obsolete d/source/options.
  * Convert d/copyright to copyright format 1.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 03 Sep 2021 23:20:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Andreas Gnau <Rondom@Rondom.de>
-Build-Depends: debhelper (>= 10), libsdl-mixer1.2-dev (>= 1.2.0-1.1)
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/icebreaker.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/icebreaker.git
+Build-Depends: debhelper-compat (= 13), libsdl-mixer1.2-dev (>= 1.2.0-1.1), pkg-config
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/games-team/icebreaker.git
+Vcs-Browser: https://salsa.debian.org/games-team/icebreaker
 Homepage: https://mattdm.org/icebreaker/
 
 Package: icebreaker
@@ -26,4 +27,3 @@
  enough for shipping. Of course, if you manage to get rid of more than
  that, you'll save on postage, thus earning you exponential amounts of Geek
  Cred (a.k.a. "score").
-

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -pedantic

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- datadir=/usr/share/games

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/icebreaker/usr bindir=$(CURDIR)/debian/icebreaker/usr/games datadir=$(CURDIR)/debian/icebreaker/usr/share/games

execute_after_dh_install:
	install -D -m 644 -T metainfo.xml $(CURDIR)/debian/icebreaker/usr/share/metainfo/org.mattdm.icebreaker.xml

=== debian/watch ===
version=4
https://mattdm.org/icebreaker/download.shtml .*/icebreaker@ANY_VERSION@@ARCHIVE_EXT@

## icebreaker 2.2.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CC=gcc
 
-SDLCONFIG=sdl-config
+PKG_CONFIG ?= pkg-config
 
 ifndef prefix
   prefix=/usr/local
@@ -20,7 +20,7 @@
 endif
 
 
-CFLAGS=-Wall -Werror $(OPTIMIZE) $(SDL_CFLAGS) -DDATAPREFIX=\"$(datadir)/icebreaker\"
+CFLAGS+=-Wall -Werror $(OPTIMIZE) $(SDL_CFLAGS) -DDATAPREFIX=\"$(datadir)/icebreaker\"
 
 SRC=icebreaker.c cursor.c grid.c laundry.c line.c penguin.c sound.c \
     level.c intro.c text.c status.c transition.c hiscore.c dialog.c \
@@ -29,12 +29,12 @@
 
 DISTFILES=$(wildcard *.c *.h *.bmp *.png *.ibt *.wav *.sh *.rc *.ico *.desktop *.man.in *.nsi.in *.spec README* TODO LICENSE INSTALL ChangeLog Makefile*)
 
-SDL_MIXER=-lSDL_mixer
+SDL_MIXER := $(shell $(PKG_CONFIG) SDL_mixer --libs)
 SDL_LIB=$(SDL_MIXER) $(SDL_LDFLAGS)
-SDL_CFLAGS := $(shell $(SDLCONFIG) --cflags)
-SDL_LDFLAGS := $(shell $(SDLCONFIG) --libs)
+SDL_CFLAGS := $(shell $(PKG_CONFIG) sdl --cflags)
+SDL_LDFLAGS := $(shell $(PKG_CONFIG) sdl --libs)
 VERSION := $(shell awk '/^#define VERSION/ { print $$3 }' icebreaker.h)
-VERDATE := $(shell date -r icebreaker.h +"%d %B %Y")
+VERDATE := $(shell LC_ALL=C date -u -r icebreaker.h +"%d %B %Y")
 
 WINARCH=i686
 CROSSTOOLSPATH=/usr/$(WINARCH)-w64-mingw32
@@ -173,7 +173,7 @@
 	[ -d win32.build ] && rm -rf win32.build || true
 
 icebreaker:	$(SRC:.c=.o)
-	$(CC) $(CFLAGS) $^ -o icebreaker $(SDL_LIB)
+	$(CC) $(CFLAGS) $^ -o icebreaker $(SDL_LIB) $(LDFLAGS)
 
 man: icebreaker.6
 
@@ -191,14 +191,14 @@
 
 themes-install: install-themes
 
-install-themes:
+install-themes: install-mkdirs
 	install -m 644 *.ibt $(datadir)/icebreaker
 	install -m 644 *.wav *.bmp *.png $(datadir)/icebreaker
 
-install-bin: icebreaker
+install-bin: install-mkdirs icebreaker
 	install -m 755 icebreaker $(bindir)
 
-install-man: icebreaker.6
+install-man: install-mkdirs icebreaker.6
 	install -m 644 icebreaker.6 $(mandir)/man6
 
 install: all install-mkdirs install-themes install-bin install-man

=== debian/changelog ===
icebreaker (2.2.1-2) unstable; urgency=medium

  * Team upload.
  * Add one new patch for new failure

  [ Patrice Duroux ]
  * d/control: bump SV to 4.7.2
  * d/control: remove RRR: no
  * d/patches: add two more patches
  * d/watch: version 5
  * d/salsa-ci.yml: added

 -- Alexandre Detiste <tchet@debian.org>  Thu, 18 Dec 2025 23:15:43 +0100

icebreaker (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release which mostly consists
    of the patches provided by Reiner Herrmann.
  * replace transitional pkg-config by pkgconf
  * move files in debian/ for compatibility with debhelper 14/15

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Dec 2023 00:08:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Andreas Gnau <Rondom@Rondom.de>
-Build-Depends: debhelper-compat (= 13), libsdl-mixer1.2-dev (>= 1.2.0-1.1), pkg-config
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13), libsdl-mixer1.2-dev, pkgconf
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/icebreaker.git
 Vcs-Browser: https://salsa.debian.org/games-team/icebreaker
 Homepage: https://mattdm.org/icebreaker/

=== debian/watch ===
Version: 5

Source: https://mattdm.org/icebreaker/download.shtml
Mathcing-pattern: .*/icebreaker@ANY_VERSION@@ARCHIVE_EXT@
